SessionTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.ejb.session.SessionTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.ejb.session
Class SessionTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.ejb.EjbTagsHandler
                  xdoclet.modules.ejb.session.SessionTagsHandler

public class SessionTagsHandler
extends EjbTagsHandler

Version:
  $Revision: 1.13 $
Author:
  Ara Abrahamian (ara_e@email.com)
xdoclet.taghandler
  namespace="EjbSession"
created
  Oct 16, 2001

Field Summary

Fields inherited from class xdoclet.modules.ejb.EjbTagsHandler
`ALL, LOCAL_SUFFIX, SERVICE_ENDPOINT, SERVICE_ENDPOINT_SUFFIX`

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`SessionTagsHandler()`

Method Summary
`void` | `forAllSessionBeans(String template)` Evaluates the body block for each EJBean derived from SessionBean.
`void` | `forAllStatefulSessionBeans(String template)` Evaluates the body block for each EJBean derived from SessionBean which is stateful.
`void` | `forAllStatelessSessionBeans(String template)` Evaluates the body block for each EJBean derived from SessionBean which is stateless.
`static String` | `getSessionClassFor(xjavadoc.XClass clazz)` Gets the SessionClassFor attribute of the SessionTagsHandler class
`protected static String` | `getSessionClassPattern()` Gets the SessionClassPattern attribute of the SessionTagsHandler class
`void` | `ifNotStatefulSession(String template)` Evaluate the body block if current class is not of a stateful session bean type.
`void` | `ifNotStatelessSession(String template)` Evaluate the body block if current class is not of an stateless session bean type.
`void` | `ifStatefulSession(String template)` Evaluate the body block if current class is of an stateful session bean type.
`void` | `ifStatelessSession(String template)` Evaluate the body block if current class is of an stateless session bean type.
`static boolean` | `isSession(xjavadoc.XClass clazz)` Returns true if clazz is a session bean, false otherwise.
`boolean` | `isStatefulSession(xjavadoc.XClass clazz)` Returns true if clazz is a stateful session bean, false otherwise.
`boolean` | `isStatelessSession(xjavadoc.XClass clazz)` Returns true if clazz is a stateless session bean, false otherwise.
`String` | `sessionClass()` Returns the name of generated session class.

Methods inherited from class xdoclet.modules.ejb.EjbTagsHandler
`beanType, choosePackage, concreteFullClassName, ejbExternalRefName, ejbName, ejbRefName, ejbRefName, extendsFromFor, forAllBeans, getDependentClassFor, getDependentClassTagName, getEjb, getEjbIdFor, getEjbNameFor, getEjbSpec, getShortEjbNameFor, hasTransaction, id, ifIsAConcreteEJBean, ifLocalEjb, ifNotLocalEjb, ifNotRemoteEjb, ifNotServiceEndpointEjb, ifRemoteEjb, ifServiceEndpointEjb, isAConcreteEJBean, isEjb, isLocalEjb, isOnlyLocalEjb, isOnlyRemoteEjb, isOnlyServiceEndpointEjb, isRemoteEjb, isServiceEndpointEjb, prefixWithEjbSlash, shortEjbName, shouldTraverseSuperclassForDependentClass, symbolicClassName`

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionTagsHandler

    public SessionTagsHandler()

Method Detail

### getSessionClassFor

    public static String getSessionClassFor(xjavadoc.XClass clazz)

  Gets the SessionClassFor attribute of the SessionTagsHandler class

  Parameters:
    `clazz` - Describe what the parameter does
  Returns:
    The SessionClassFor value

### isSession

    public static boolean isSession(xjavadoc.XClass clazz)

  Returns true if clazz is a session bean, false otherwise.

  Parameters:
    `clazz` - Description of Parameter
  Returns:
    The Session value

### getSessionClassPattern

    protected static String getSessionClassPattern()

  Gets the SessionClassPattern attribute of the SessionTagsHandler class

  Returns:
    The SessionClassPattern value

### isStatefulSession

    public boolean isStatefulSession(xjavadoc.XClass clazz)
                              throws XDocletException

  Returns true if clazz is a stateful session bean, false otherwise. Entity type is determined by looking at the ejb:bean's type parameter.

  Parameters:
    `clazz` - Description of Parameter
  Returns:
    The StatefulSession value
  Throws:
    `XDocletException`

### isStatelessSession

    public boolean isStatelessSession(xjavadoc.XClass clazz)
                               throws XDocletException

  Returns true if clazz is a stateless session bean, false otherwise. Entity type is determined by looking at the ejb:bean's type parameter.

  Parameters:
    `clazz` - Description of Parameter
  Returns:
    The StatelessSession value
  Throws:
    `XDocletException`

### sessionClass

    public String sessionClass()
                        throws XDocletException

  Returns the name of generated session class.

  Returns:
    The name of generated session class.
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### ifStatelessSession

    public void ifStatelessSession(String template)
                            throws XDocletException

  Evaluate the body block if current class is of an stateless session bean type.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException`
  See Also:
    `isStatelessSession(xjavadoc.XClass)`
  doc.tag
    type="block"

### ifNotStatelessSession

    public void ifNotStatelessSession(String template)
                               throws XDocletException

  Evaluate the body block if current class is not of an stateless session bean type.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException`
  See Also:
    `isStatelessSession(xjavadoc.XClass)`
  doc.tag
    type="block"

### ifStatefulSession

    public void ifStatefulSession(String template)
                           throws XDocletException

  Evaluate the body block if current class is of an stateful session bean type.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException`
  See Also:
    `isStatefulSession(xjavadoc.XClass)`
  doc.tag
    type="block"

### ifNotStatefulSession

    public void ifNotStatefulSession(String template)
                              throws XDocletException

  Evaluate the body block if current class is not of a stateful session bean type.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException`
  See Also:
    `isStatefulSession(xjavadoc.XClass)`
  doc.tag
    type="block"

### forAllSessionBeans

    public void forAllSessionBeans(String template)
                            throws XDocletException

  Evaluates the body block for each EJBean derived from SessionBean.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException`
  See Also:
    `isSession(xjavadoc.XClass)`
  doc.tag
    type="block"

### forAllStatefulSessionBeans

    public void forAllStatefulSessionBeans(String template)
                                    throws XDocletException

  Evaluates the body block for each EJBean derived from SessionBean which is stateful.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException`
  See Also:
    `isStatefulSession(xjavadoc.XClass)`
  doc.tag
    type="block"

### forAllStatelessSessionBeans

    public void forAllStatelessSessionBeans(String template)
                                     throws XDocletException

  Evaluates the body block for each EJBean derived from SessionBean which is stateless.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException`
  See Also:
    `isStatelessSession(xjavadoc.XClass)`
  doc.tag
    type="block"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD